// SPDX-License-Identifier: Unlicense

import QtQuick 2.12
import QtQuick.Controls 2.13
import QtQuick.Layouts 1.6

GridLayout {
    property var tags: []

    function check(item) {
        if (item.tag === tags.currentText)
            return true
        return false
    }

    signal changed
    
    columns: 2

    Label { text: qsTr('Tag') }
    ComboBox {
        model: tags
        textRole: 'tag'
        Layout.fillWidth: true
        onCurrentTextChanged: changed()
    }

    Label {
        text: qsTr('Filters are not implemented yet! 😊')
        wrapMode: Text.Wrap
        Layout.fillWidth: true
        Layout.columnSpan: 2
    }
}
